Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.terraingen
Class BiomeEvent.GetVillageBlockMeta

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.terraingen.BiomeEvent
              net.minecraftforge.event.terraingen.BiomeEvent.BlockReplacement
                  net.minecraftforge.event.terraingen.BiomeEvent.GetVillageBlockMeta

Enclosing class:
  BiomeEvent

    public static class BiomeEvent.GetVillageBlockMeta

extends BiomeEvent.BlockReplacement

This event is fired when the village generator attempts to choose a block metadata based on the village's biome. You can set the result to DENY to prevent the default block metadata selection.

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.BiomeEvent
`BiomeEvent.BiomeColor, BiomeEvent.BlockReplacement, BiomeEvent.CreateDecorator, BiomeEvent.GetFoliageColor, BiomeEvent.GetGrassColor, BiomeEvent.GetVillageBlockID, BiomeEvent.GetVillageBlockMeta, BiomeEvent.GetWaterColor`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary

Fields inherited from class net.minecraftforge.event.terraingen.BiomeEvent.BlockReplacement
`original, replacement`

Fields inherited from class net.minecraftforge.event.terraingen.BiomeEvent
`biome`

Constructor Summary
`BiomeEvent.GetVillageBlockMeta(BiomeGenBase biome, int original, int replacement)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BiomeEvent.GetVillageBlockMeta

    public BiomeEvent.GetVillageBlockMeta(BiomeGenBase biome,
                                          int original,
                                          int replacement)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD